AnsweredAssumed Answered

Compress 10.2.1 database from 10.4.1 - Connection Failure

Question asked by LynchburgGIS on Sep 15, 2017
Latest reply on Sep 25, 2017 by LynchburgGIS

Hey Everyone,

 

Hoping you can help in an error I'm receiving while trying to compress our enterprise database. The error is popping up in our development environment which we are currently using to test our upgrade to 10.4.1 from 10.2.2.

 

Current Desktop Environment: 10.4.1

Current Server Environment: 10.4.1

Current SDE Environment: 10.2.2

Current SQL Environment 2016 (running with 'Compatibility level' of SQL Server 2008)

 

We originally updated our desktop and server environments when our database was still in SQl Server 2008 R2. Once those migrations/upgrades were complete,  our DBA moved our enterprise database (development) to SQL Server 2016. This is when the error starting appearing. We're receiving this error message whenever we try to compress our database:


['Traceback (most recent call last):\n', '  File "\\\\tempest\\shared\\GIS\\System Administration\\Admin Tools Test\\Database\\Maintenance\\Hurley_Compress.py", line 66, in main\n    arcpy.Compress_management(hurley_sde)\n', '  File "C:\\Program Files (x86)\\ArcGIS\\Desktop10.4\\ArcPy\\arcpy\\management.py", line 4549, in Compress\n    raise e\n', 'ExecuteError: ERROR 999999: Error executing function.\nFailure to access the DBMS server [[Microsoft][SQL Server Native Client 11.0]Communication link failure] [dbo.DEFAULT][STATE_ID = 1493628]\nUnderlying DBMS error [dbo.DEFAULT]\nFailed to execute (Compress).\n\n']

 

We are able to perform all other standard and administrative tasks without issue such as reconciling/posting versions,  deleting and recreating versions, publishing feature services, editing, etc. Updating schema etc etc etc. This is the only time we see this error.

 

*** EDIT: We also tried upgrading the geodatabase to 10.4.1 without success.

 

Any help would be greatly appreciated.

Outcomes